aboutsummaryrefslogtreecommitdiffstats
path: root/main/readline/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-04-22 06:46:23 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-04-22 07:05:35 +0000
commit3e5fcff76e0a547b7185615d825515a4ab1bbb40 (patch)
tree22fee7c06aac1f523948282effd1b58d2c20fbf0 /main/readline/APKBUILD
parent77ee28c803fd628c738dd736c5ffc05e8863ebd3 (diff)
downloadaports-3e5fcff76e0a547b7185615d825515a4ab1bbb40.tar.gz
aports-3e5fcff76e0a547b7185615d825515a4ab1bbb40.tar.bz2
aports-3e5fcff76e0a547b7185615d825515a4ab1bbb40.tar.xz
main/readline: upgrade to 6.3.008
Diffstat (limited to 'main/readline/APKBUILD')
-rw-r--r--main/readline/APKBUILD48
1 files changed, 21 insertions, 27 deletions
diff --git a/main/readline/APKBUILD b/main/readline/APKBUILD
index 9246844c3d..4e123ce549 100644
--- a/main/readline/APKBUILD
+++ b/main/readline/APKBUILD
@@ -1,11 +1,8 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=readline
-pkgver=6.3
-#_myver=${pkgver%.*}
-#_patchver=${pkgver##*.}
-#_suff=${_myver%.*}${_myver#*.}
-_myver=$pkgver
-pkgrel=3
+pkgver=6.3.008
+_myver=${pkgver%.*}
+pkgrel=0
pkgdesc="GNU readline library"
url="ftp://ftp.cwru.edu/pub/bash/"
arch="all"
@@ -14,17 +11,21 @@ depends=
makedepends="ncurses-dev"
subpackages="$pkgname-dev $pkgname-doc"
source="http://ftp.gnu.org/gnu/readline/readline-${_myver}.tar.gz
+ p0-readline-6.3-008.patch
fix-ncurses-underlinking.patch
- readline-6.3-dispatch-multikey.patch
- readline-6.3-vi-last.patch
"
# generate url's to patches. note: no forks allowed!
-#_i=1
-#while [ $_i -le $_patchver ]; do
- #source="$source http://ftp.gnu.org/gnu/readline/readline-$_myver-patches/readline$_suff-00$_i"
- #_i=$(( $_i + 1))
-#done
+
+_getpatch() {
+ _i=1
+ _suff=${_myver//./}
+ _patchver=${pkgver##*.}
+ while [ $_i -le $_patchver ]; do
+ curl http://ftp.gnu.org/gnu/readline/readline-$_myver-patches/readline$_suff-$(printf "%03d" $_i)
+ _i=$(( $_i + 1))
+ done
+}
_builddir="$srcdir"/$pkgname-$_myver
prepare() {
@@ -32,14 +33,10 @@ prepare() {
update_config_sub || return 1
for i in $source; do
case $i in
+ p0-*.patch) msg $i; patch -p0 -i "$srcdir"/$i || return 1;;
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
esac
done
- #for i in "$srcdir"/readline$_suff-???; do
- #[ -r "$i" ] || continue
- #msg "Applying ${i##*/}"
- #patch -Np0 -i ${i} || return 1
- #done
}
build() {
@@ -67,14 +64,11 @@ package() {
}
md5sums="33c8fb279e981274f485fd91da77e94a readline-6.3.tar.gz
-cbb34dd4ade349d47ec434bb01222aeb fix-ncurses-underlinking.patch
-83f7c9ae2c02579934b10cb3fe9dea0b readline-6.3-dispatch-multikey.patch
-a825e0357b4c685f92bee7bfacf2a845 readline-6.3-vi-last.patch"
+3e84f443ddc7aedad1e6d527c105a213 p0-readline-6.3-008.patch
+cbb34dd4ade349d47ec434bb01222aeb fix-ncurses-underlinking.patch"
sha256sums="56ba6071b9462f980c5a72ab0023893b65ba6debb4eeb475d7a563dc65cafd43 readline-6.3.tar.gz
-755dd2a6231a7e49dfde429188b3120f08cb652fbbf1863bb3db8f8181e9dd10 fix-ncurses-underlinking.patch
-42488da748b4f57dccccd224d02dac677ae7b7af39f104194c2aa63272a67467 readline-6.3-dispatch-multikey.patch
-411380911760e441688d65efd0f12b0bfda09e9d4ea677296bfde22744a6d6fe readline-6.3-vi-last.patch"
+b1682565724a25b68118f6880257cd2381988ee34e98e6c69e6fa20a0f941701 p0-readline-6.3-008.patch
+755dd2a6231a7e49dfde429188b3120f08cb652fbbf1863bb3db8f8181e9dd10 fix-ncurses-underlinking.patch"
sha512sums="f70efaf46d570b85c7637172b0ee2eb9a4aa73ba38a62bb45075e665929d9701b96fba0aea6c767fd9a2a0d39dfe8e70ab06da08f8524aee76a7c502f370a401 readline-6.3.tar.gz
-2aef2e3ceb8fb08117a945fbdbb883ff8da7eaf259236cb64aebc7438dd17c73e52d0c7a5f1483432152fa8354f84468aacaede09ca0fa9e76ce6a1d82eb6f26 fix-ncurses-underlinking.patch
-d9c37f3c3b003bd7084ecee8c4b6473691135cbd0663eabbc0fbd6b703e06cd8b8a5f947c5a443efbcb9593745a0c131c573b02187f4f02fd8596b0511af948e readline-6.3-dispatch-multikey.patch
-a71af4314a772a68072720cac95a89d95584dc78adac6af233bb2abcff3c2978c4d2fcd17e225a46976e2b3f0b5f27e13f531669d152d037453e0a959bbe6e22 readline-6.3-vi-last.patch"
+beab1f333643deea33bde114b7ba3eb6a6d9c84a2a92a66111bb46c6c1d27416d970112cf6ea635a7f3d5a419d4c768718a8f6ff1b4726c0cda8f566a2ad092f p0-readline-6.3-008.patch
+2aef2e3ceb8fb08117a945fbdbb883ff8da7eaf259236cb64aebc7438dd17c73e52d0c7a5f1483432152fa8354f84468aacaede09ca0fa9e76ce6a1d82eb6f26 fix-ncurses-underlinking.patch"